QGIS Application - Bug report #14661
effects not working on ellipse layer
2016-04-11 10:08 PM - Mathieu Pellerin - nIRV

Status: Closed
Priority: Normal
Assignee: Nyall Dawson
Category: Symbology

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 22625

Description

Just noticed that effects are not working onto ellipse layers. The setup actually works, but once you apply it and close the property
window, a/ the effects aren't drawn, b/ the settings are lost when you re-open the property window.

Steps to reproduce
1. Add a point dataset onto a new project

2. Open the layer property window, set the symbology layer to ellipse

3. Enable [x] draw effects, and add a drop shadow effect

4. Apply the settings and leave the property window, notice the effect isn't drawn

5. Re-open the property window, notice the effects settings are gone

Associated revisions

Revision 0adae36f - 2016-04-12 07:52 AM - Nyall Dawson

Fix effects not working for ellipse symbol layers (fix #14661)

Revision 9cc3d7e3 - 2016-04-16 02:11 AM - Nyall Dawson

Fix effects not working for ellipse symbol layers (fix #14661)

History

#1 - 2016-04-11 10:55 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"0adae36f08694b19729f842c3b88997f60eeaf30".
